use super::schema::api_kgon_members;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "api_kgon_members"]
pub struct Member {
  ///
  pub id: i64,
  ///
  pub balance: i64,
  ///
  pub balance_bota: i64,
  ///
  pub balance_sum: i64,
  ///
  pub companies: i64,
  ///
  pub oriental_play: String,
  ///
  pub member_id: uuid::Uuid,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "api_kgon_members"]
pub struct NewMember {
  ///
  pub id: i64,
  ///
  pub member_id: uuid::Uuid,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_members"]
pub struct ModifyMember {
  ///
  pub balance: i64,
  ///
  pub balance_bota: i64,
  ///
  pub oriental_play: String,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_members"]
pub struct ModifyMemberForBalance {
  ///
  pub balance: i64,
  ///
  pub balance_bota: i64,
  ///
  pub balance_sum: i64,
  ///
  pub companies: i64,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub oriental_play: Option<String>,
}
///
#[derive(Debug, Clone)]
pub struct FindAll {
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
